/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.mycompany.JSONTrials;

import com.sun.jersey.api.container.ContainerFactory;
import com.sun.xml.bind.annotation.OverrideAnnotationOf;
import com.sun.xml.bind.v2.runtime.unmarshaller.UnmarshallerImpl;
import java.io.PrintWriter;
import java.io.StringWriter;
import java.net.URL;
import java.util.Enumeration;
import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.Application;

/**
 *
 * @author japod
 */
@Path("gaga")
public class Gaga {

    @GET @Produces("text/plain")
    public String getFinderData() {

        final StringWriter stringWriter = new StringWriter();
        final PrintWriter out = new PrintWriter(stringWriter);

        find(Application.class, out);
        find(ContainerFactory.class, out);
        find(OverrideAnnotationOf.class, out);
        find(UnmarshallerImpl.class, out);


        try {
            Class.forName("com.sun.xml.bind.annotation.OverrideAnnotationOf");

            out.println("classforname succeeded");
        } catch (ClassNotFoundException ex) {
            ex.printStackTrace(out);
        }

        return stringWriter.toString();
    }

    private void find(Class c, PrintWriter out) {
        try {
            String path = c.getName().replace(".", "/") + ".class";
            out.println("<p>FIND: " + c.getName() + " " + path);

            out.println(" <br> Class loader of class");
            Enumeration<URL> e = c.getClassLoader().getResources(path);
            while (e.hasMoreElements()) {
                out.println("    " + e.nextElement().toExternalForm());
            }

            out.println(" <br> Context class loader");
            e = Thread.currentThread().getContextClassLoader().getResources(path);
            while (e.hasMoreElements()) {
                out.println("    " + e.nextElement().toExternalForm());
            }

        } catch (Exception e) {
            e.printStackTrace();
        }
    }

}
