/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.mycompany.JSONTrials.jaxb.types;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

/**
 *
 * @author naresh
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="Order", propOrder={
        "id",
        "originatorCustomerParty",
        "delivery",
        "orderLine"
    }, namespace="urn:oasis:names:specification:ubl:schema:xsd:Order-2")
@XmlRootElement(name="Order", namespace="urn:oasis:names:specification:ubl:schema:xsd:Order-2")
public class OrderType {

    @XmlElement(name="ID",
        namespace="urn:oasis:names:specification:ubl:schema:xsd:CommonBasicComponents-2")
    private String id;

    @XmlElement(name="OriginatorCustomerParty",
        namespace="urn:oasis:names:specification:ubl:schema:xsd:CommonAggregateComponents-2")
    private OriginatorCustomerPartyType originatorCustomerParty;

    @XmlElement(name="Delivery",
        namespace="urn:oasis:names:specification:ubl:schema:xsd:CommonAggregateComponents-2")
    private DeliveryType delivery;

    @XmlElement(name="OrderLine",
        namespace="urn:oasis:names:specification:ubl:schema:xsd:CommonAggregateComponents-2")
    private OrderLineType orderLine;

    public DeliveryType getDelivery() {
        return delivery;
    }

    public void setDelivery(DeliveryType delivery) {
        this.delivery = delivery;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public OrderLineType getOrderLine() {
        return orderLine;
    }

    public void setOrderLine(OrderLineType orderLine) {
        this.orderLine = orderLine;
    }

    public OriginatorCustomerPartyType getOriginatorCustomerParty() {
        return originatorCustomerParty;
    }

    public void setOriginatorCustomerParty(OriginatorCustomerPartyType originatorCustomerParty) {
        this.originatorCustomerParty = originatorCustomerParty;
    }

}
